Get exemptions
curl --request GET \
--url https://backstage.example.com/api/soundcheck/checks/exemptionsimport requests
url = "https://backstage.example.com/api/soundcheck/checks/exemptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://backstage.example.com/api/soundcheck/checks/exemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exemptions": [
{
"checkId": "<string>",
"entityRef": "<string>",
"userRef": "<string>",
"justification": "<string>",
"timestamp": "<string>",
"revocationUserRef": "<string>",
"revocationTimestamp": "<string>",
"revocationReason": "<string>"
}
],
"totalCount": 123
}{
"error": {
"name": "<string>",
"message": "<string>"
},
"response": {
"statusCode": 123
},
"request": {
"method": "<string>",
"url": "<string>"
}
}"<string>"Checks
Get exemptions
Returns exemptions. Optionally filter by checkId or trackId (mutually exclusive). When trackId is provided, returns exemptions for all checks in that track (including campaigns). When neither is provided, returns all exemptions paginated with limit/offset.
GET
/
checks
/
exemptions
Get exemptions
Query Parameters
Return exemptions for this check ID.
Return exemptions for all checks in this track ID.
Maximum number of exemptions to return (used when no filter is provided). Defaults to 25, max 100.
Required range:
x <= 100Number of exemptions to skip (used when no filter is provided). Defaults to 0.